From 006445343be77a0a2bb26a4a22262325b031ae03 Mon Sep 17 00:00:00 2001
From: Salman Siddiqui <sasiddiq@redhat.com>
Date: Nov 15 2018 18:42:38 +0000
Subject: [PATCH 6/15] use mvn()-style BRs and add javadoc subpackage for owasp-java-encoder


---

diff --git a/owasp-java-encoder/owasp-java-encoder.spec b/owasp-java-encoder/owasp-java-encoder.spec
index fbe0ab7..13eceab 100644
--- a/owasp-java-encoder/owasp-java-encoder.spec
+++ b/owasp-java-encoder/owasp-java-encoder.spec
@@ -8,15 +8,14 @@ URL:		https://github.com/OWASP/owasp-java-encoder/
 
 Source0:	https://github.com/OWASP/owasp-java-encoder/archive/v1.2.1.tar.gz
 
+# add OSGi metadata
 Patch0:		0_manifest.patch
 
 BuildArch:	noarch
 
 BuildRequires:	maven-local
-BuildRequires:	maven-source-plugin
-BuildRequires:	sonatype-oss-parent
-
-Requires:	java-openjdk
+BuildRequires:	mvn(org.apache.maven.plugins:maven-source-plugin)
+BuildRequires:  mvn(org.sonatype.oss:oss-parent:pom:)
 
 %description
 The OWASP Encoders package is a collection of high-performance low-overhead
@@ -24,13 +23,18 @@ contextual encoders, that when utilized correctly, is an effective tool in
 preventing Web Application security vulnerabilities such as
 Cross-Site Scripting.
 
+%package javadoc
+Summary:  Javadoc for %{name}
+
+%description javadoc
+%{summary}.
+
 %prep
 %setup -q
 
-# add OSGi metadata
 %patch0 -p1
 
-# analysis tool for testing coverage - not required
+# analysis tool for testing coverage is not required
 %pom_remove_plugin :cobertura-maven-plugin
 
 %build
@@ -42,13 +46,13 @@ jar ufm %{_builddir}/%{name}-%{version}/core/target/encoder-%{version}.jar %{_bu
 %install
 %mvn_install
 
-%files
+%files -f .mfiles
+%doc README.md
 %license LICENSE
+
+%files javadoc -f .mfiles-javadoc
 %doc README.md
-/usr/share/java/%{name}
-/usr/share/javadoc/%{name}
-/usr/share/maven-poms/%{name}
-/usr/share/maven-metadata/%{name}.xml
+%license LICENSE
 
 %changelog
 * Wed Aug 08 2018 Salman Siddiqui <sasiddiq@redhat.com> - 1.2.1-1

